function [word] = charword(astring)

%===========================================================================
% WORD  4.1   92/11/12   Copyright (C) Phil Morgan 1992
%
% [word] = charword(astring)
%
% DESCRIPTION:
%    Extracts the first word from a string.  A word is delimited by spaces.
%
% INPUT:
%    astring    = a string of characters
%
% OUTPUT:
%    word       = substring of chars that constitute the first word in astring
%
% EXAMPLE:   word = charword('  hello  there')
%            word = 'hello'
%        
%===========================================================================

% CALLER: general purpose
% CALLEE: none
%
% AUTHOR: Phil Morgan  92-10-16
%
% @(#)charword.m  Revision: 4.1   92/11/12   Copyright (C) Phil Morgan 1992

ichars =  find( astring~=blanks(1) );
first = ichars(1);
%astring( first:length(astring) );
iendblanks = find( astring( first:length(astring) ) == blanks(1) );
if isempty(iendblanks)
  last = length(astring);
  word = astring(first:length(astring));
else
  word = astring(first:first+iendblanks(1)-2);  
end %if

return
%-------------------------------------------------------------------
