function [number] = getinput(prompt,lower,upper)

%======================================================================
% GETINPUT   4.1   92/11/23   Copyright (C) Phil Morgan 1992
%
% [number] = getinput(prompt,lower,upper)
%
% DESCRIPTION:
%    Prompts user for input and checks that it is within accepted bounds.
%
% INPUT:
%    propmt  = prompt string
%    lower   = scalar.  Lower limit of accepted values
%    upper   = scalar.  Upper limit of accepted values.
%
% OUTPUT:
%    number  = a valid number in the range lower --> upper
%
% AUTHOR:   Phil Morgan   92-10-16
%=======================================================================

% @(#)getinput.m  Revision: 4.1    92/11/23   Copyright (C) Phil Morgan 1992  
%=======================================================================
%

valid = 0;
while ~valid
   valid = 1;
   number = input([prompt ' ']);
   if ~( lower<=number & number <= upper )
      disp([' Value out of bounds [' num2str(lower) '-' num2str(upper) ']'])
      valid = 0;
   end %if
end %if

return
%------------------------------------------------------------------------
