% plotraw.m - plot the raw hydrographic data in the
% format used by DOBOX.

subplot(221);
plot(lon,lat,'b');
set(gca,'dataaspectratio',[1 1 1]);
axis(axis);
arrow([lon(1) lat(1)], ...
	[lon(length(lon)) lat(length(lat))]);
axis([min(lon)-10 max(lon)+10 min(lat)-10 max(lat)+10]);
overlay(-160,180,-90,90);

dlon=max(lon)-min(lon);
dlat=max(lat)-min(lat);
if (dlon>dlat)
  horvar=lon;
else
  horvar=lat;
end;

subplot(222);
patchmap(horvar,-ctdpres,ctdsal);
%caxis([34 35.5]);
set(gca,'dataaspectratio',[1 250 1]);
xlabel('Longitude');
colorbarvert;
title('Salinity');

subplot(223);
patchmap(horvar,-ctdpres,ctdtemp);
%caxis([0 10]);
set(gca,'dataaspectratio',[1 250 1]);
xlabel('Longitude');
colorbarvert;
title('Temperature');

%sigma=sw_pden(bin_sal,bin_temp, ...
  %bin_press*ones(1,length(lon)),0) -1000;
